Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSMessageWaitingStatus Class Reference

Message waiting status information. More...

`#import <CSMessageWaitingStatus.h>`

Inherits NSObject.

## Properties
BOOL | hasMessagesWaiting
| A Boolean value indicating whether there are new messages waiting. More...
NSInteger | newMessageCount
| The number of new messages waiting, if provided by the messaging system. More...
NSInteger | totalMessageCount
| The total number of messages stored, if provided by the messaging system. More...
NSInteger | newUrgentMessageCount
| The number of new urgent messages waiting, if provided by the messaging system. More...
NSInteger | totalUrgentMessageCount
| The total number of urgent messages stored, if provided by the messaging system. More...

## Detailed Description

Message waiting status information.

## Property Documentation

- (BOOL) hasMessagesWaiting
| read write nonatomic assign

A Boolean value indicating whether there are new messages waiting.

This flag is set for all messaging systems.

- (NSInteger) newMessageCount
| read write nonatomic assign

The number of new messages waiting, if provided by the messaging system.

Set to a value of -1 if the messaging system does not provide this information.

- (NSInteger) newUrgentMessageCount
| read write nonatomic assign

The number of new urgent messages waiting, if provided by the messaging system.

Set to a value of -1 if the messaging system does not provide this information.

- (NSInteger) totalMessageCount
| read write nonatomic assign

The total number of messages stored, if provided by the messaging system.

Set to a value of -1 if the messaging system does not provide this information.

- (NSInteger) totalUrgentMessageCount
| read write nonatomic assign

The total number of urgent messages stored, if provided by the messaging system.

Set to a value of -1 if the messaging system does not provide this information.

The documentation for this class was generated from the following file:

- CSMessageWaitingStatus.h